summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-07-22 14:27:12 +0200
committerRemi Collet <remi@remirepo.net>2021-07-22 14:27:12 +0200
commit0a93c7f5d6d89028fcc4a66554eeba47b206f9eb (patch)
tree87e1cf6bd39ba2a679a2b8c33e706b618a842fb9
parent9ca84009c997dae90e41f575635379bde19177a3 (diff)
update to 2.10.2HEADmaster
raise dependency on pdepend 2.10
-rw-r--r--composer.json2
-rw-r--r--php-phpmd-PHP-PMD.spec18
2 files changed, 12 insertions, 8 deletions
diff --git a/composer.json b/composer.json
index 96b9548..c0345c1 100644
--- a/composer.json
+++ b/composer.json
@@ -36,7 +36,7 @@
"minimum-stability": "stable",
"require": {
"php": ">=5.3.9",
- "pdepend/pdepend": "^2.9.1",
+ "pdepend/pdepend": "^2.10.0",
"ext-xml": "*",
"composer/xdebug-handler": "^1.0 || ^2.0"
},
diff --git a/php-phpmd-PHP-PMD.spec b/php-phpmd-PHP-PMD.spec
index 28165e5..7e04001 100644
--- a/php-phpmd-PHP-PMD.spec
+++ b/php-phpmd-PHP-PMD.spec
@@ -7,7 +7,7 @@
#
# Please, preserve the changelog entries
#
-%global gh_commit bd5ef43d1dcaf7272605027c959c1c5ff3761f7a
+%global gh_commit 1bc74db7cf834662d83abebae265be11bb2eec3a
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner phpmd
%global gh_project phpmd
@@ -18,7 +18,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: php-phpmd-PHP-PMD
-Version: 2.10.1
+Version: 2.10.2
Release: 1%{?dist}
Summary: PHPMD - PHP Mess Detector
@@ -45,12 +45,12 @@ BuildArch: noarch
BuildRequires: php-composer(phpunit/phpunit) >= 4.8.36
BuildRequires: php(language) >= 5.3.9
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(pdepend/pdepend) >= 2.9.1 with php-composer(pdepend/pdepend) < 3)
+BuildRequires: (php-composer(pdepend/pdepend) >= 2.10 with php-composer(pdepend/pdepend) < 3)
BuildRequires: (php-composer(composer/xdebug-handler) >= 1.0 with php-composer(composer/xdebug-handler) < 3)
BuildRequires: (php-composer(mikey179/vfsstream) >= 1.6.8 with php-composer(mikey179/vfsstream) < 2)
%else
BuildRequires: php-composer(pdepend/pdepend) < 3
-BuildRequires: php-composer(pdepend/pdepend) >= 2.5
+BuildRequires: php-composer(pdepend/pdepend) >= 2.10
BuildRequires: php-composer(composer/xdebug-handler) < 3
BuildRequires: php-composer(composer/xdebug-handler) >= 1.0
BuildRequires: php-composer(mikey179/vfsstream) < 2
@@ -69,16 +69,16 @@ BuildRequires: php-composer(fedora/autoloader)
# From composer.json, "require": {
# "php": ">=5.3.9",
-# "pdepend/pdepend": "^2.9.1",
+# "pdepend/pdepend": "^2.10.0",
# "ext-xml": "*",
# "composer/xdebug-handler": "^1.0 || ^2.0"
Requires: php(language) >= 5.3.9
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(pdepend/pdepend) >= 2.9.1 with php-composer(pdepend/pdepend) < 3)
+Requires: (php-composer(pdepend/pdepend) >= 2.10 with php-composer(pdepend/pdepend) < 3)
Requires: (php-composer(composer/xdebug-handler) >= 1.0 with php-composer(composer/xdebug-handler) < 3)
%else
Requires: php-composer(pdepend/pdepend) < 3
-Requires: php-composer(pdepend/pdepend) >= 2.6
+Requires: php-composer(pdepend/pdepend) >= 2.10
Requires: php-composer(composer/xdebug-handler) < 3
Requires: php-composer(composer/xdebug-handler) >= 1.0
%endif
@@ -181,6 +181,10 @@ fi
%changelog
+* Thu Jul 22 2021 Remi Collet <remi@remirepo.net> - 2.10.2-1
+- update to 2.10.2
+- raise dependency on pdepend 2.10
+
* Wed May 12 2021 Remi Collet <remi@remirepo.net> - 2.10.1-1
- update to 2.10.1
- allow version 2.0 of the composer/xdebug-handler